# classes/phing/tasks/ext/git/GitGcTask.php

## \GitGcTask
jump to top

Wrapper around git-gc

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitGcTask.php 1051 2011-03-02 19:40:51Z victor $

### Properties

`boolean $isAggressive= 'false'`

--aggressive key to git-gc

Default value `false` Details

Type
  boolean

`boolean $isAuto= 'false'`

--auto key to git-gc

Default value `false` Details

Type
  boolean

`boolean $noPrune= 'false'`

--no-prune key to git-gc

Default value `false` Details

Type
  boolean

`string $prune= '2.weeks.ago'`

--prune=<date>option of git-gc

Default value `2.weeks.ago` Details

Type
  string

### Methods

`getAggressive( ) :`
`getAuto( ) :`
`getNoPrune( ) :`
`getPrune( ) :`
`isAggressive( ) :`
Details

see
  \getAggressive()

`isAuto( ) :`
Details

see
  \getAuto()

`isNoPrune( ) :`
Details

see
  \NoPrune()

`main( ) :`
The main entry point for the task
`setAggressive( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setAuto( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNoPrune( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setPrune( $date ) :`
Parameters

Name | Type | Description
--- | --- | ---
$date |  |

Documentation was generated by DocBlox 0.13.1.